// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.3.2
// source: mr_agent.proto

package agentsProtobuf

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type MRResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MsgTransm     uint64 `protobuf:"varint,1,opt,name=msg_transm,json=msgTransm,proto3" json:"msg_transm,omitempty"`
	MsgPending    uint64 `protobuf:"varint,2,opt,name=msg_pending,json=msgPending,proto3" json:"msg_pending,omitempty"`
	MsgToOther_MR uint64 `protobuf:"varint,3,opt,name=msg_to_other_MR,json=msgToOtherMR,proto3" json:"msg_to_other_MR,omitempty"`
	MsgDropped    uint64 `protobuf:"varint,4,opt,name=msg_dropped,json=msgDropped,proto3" json:"msg_dropped,omitempty"`
	MsgNew        uint64 `protobuf:"varint,5,opt,name=msg_new,json=msgNew,proto3" json:"msg_new,omitempty"`
	Used          bool   `protobuf:"varint,6,opt,name=used,proto3" json:"used,omitempty"`
}

func (x *MRResult) Reset() {
	*x = MRResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_mr_agent_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MRResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MRResult) ProtoMessage() {}

func (x *MRResult) ProtoReflect() protoreflect.Message {
	mi := &file_mr_agent_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MRResult.ProtoReflect.Descriptor instead.
func (*MRResult) Descriptor() ([]byte, []int) {
	return file_mr_agent_proto_rawDescGZIP(), []int{0}
}

func (x *MRResult) GetMsgTransm() uint64 {
	if x != nil {
		return x.MsgTransm
	}
	return 0
}

func (x *MRResult) GetMsgPending() uint64 {
	if x != nil {
		return x.MsgPending
	}
	return 0
}

func (x *MRResult) GetMsgToOther_MR() uint64 {
	if x != nil {
		return x.MsgToOther_MR
	}
	return 0
}

func (x *MRResult) GetMsgDropped() uint64 {
	if x != nil {
		return x.MsgDropped
	}
	return 0
}

func (x *MRResult) GetMsgNew() uint64 {
	if x != nil {
		return x.MsgNew
	}
	return 0
}

func (x *MRResult) GetUsed() bool {
	if x != nil {
		return x.Used
	}
	return false
}

type MRResult_Msg struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SentFrom     int64  `protobuf:"varint,1,opt,name=sent_from,json=sentFrom,proto3" json:"sent_from,omitempty"`
	SentTo       int64  `protobuf:"varint,2,opt,name=sent_to,json=sentTo,proto3" json:"sent_to,omitempty"`
	Content      string `protobuf:"bytes,3,opt,name=content,proto3" json:"content,omitempty"`
	Performative uint64 `protobuf:"varint,4,opt,name=performative,proto3" json:"performative,omitempty"`
	Protocol     uint64 `protobuf:"varint,5,opt,name=protocol,proto3" json:"protocol,omitempty"`
}

func (x *MRResult_Msg) Reset() {
	*x = MRResult_Msg{}
	if protoimpl.UnsafeEnabled {
		mi := &file_mr_agent_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MRResult_Msg) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MRResult_Msg) ProtoMessage() {}

func (x *MRResult_Msg) ProtoReflect() protoreflect.Message {
	mi := &file_mr_agent_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MRResult_Msg.ProtoReflect.Descriptor instead.
func (*MRResult_Msg) Descriptor() ([]byte, []int) {
	return file_mr_agent_proto_rawDescGZIP(), []int{0, 0}
}

func (x *MRResult_Msg) GetSentFrom() int64 {
	if x != nil {
		return x.SentFrom
	}
	return 0
}

func (x *MRResult_Msg) GetSentTo() int64 {
	if x != nil {
		return x.SentTo
	}
	return 0
}

func (x *MRResult_Msg) GetContent() string {
	if x != nil {
		return x.Content
	}
	return ""
}

func (x *MRResult_Msg) GetPerformative() uint64 {
	if x != nil {
		return x.Performative
	}
	return 0
}

func (x *MRResult_Msg) GetProtocol() uint64 {
	if x != nil {
		return x.Protocol
	}
	return 0
}

var File_mr_agent_proto protoreflect.FileDescriptor

var file_mr_agent_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x6d, 0x72, 0x5f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0xd7, 0x02, 0x0a, 0x08, 0x4d, 0x52, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x1d, 0x0a,
	0x0a, 0x6d, 0x73, 0x67, 0x5f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x04, 0x52, 0x09, 0x6d, 0x73, 0x67, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6d, 0x12, 0x1f, 0x0a, 0x0b,
	0x6d, 0x73, 0x67, 0x5f, 0x70, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x04, 0x52, 0x0a, 0x6d, 0x73, 0x67, 0x50, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x12, 0x25, 0x0a,
	0x0f, 0x6d, 0x73, 0x67, 0x5f, 0x74, 0x6f, 0x5f, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x5f, 0x4d, 0x52,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0c, 0x6d, 0x73, 0x67, 0x54, 0x6f, 0x4f, 0x74, 0x68,
	0x65, 0x72, 0x4d, 0x52, 0x12, 0x1f, 0x0a, 0x0b, 0x6d, 0x73, 0x67, 0x5f, 0x64, 0x72, 0x6f, 0x70,
	0x70, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0a, 0x6d, 0x73, 0x67, 0x44, 0x72,
	0x6f, 0x70, 0x70, 0x65, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x6d, 0x73, 0x67, 0x5f, 0x6e, 0x65, 0x77,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x04, 0x52, 0x06, 0x6d, 0x73, 0x67, 0x4e, 0x65, 0x77, 0x12, 0x12,
	0x0a, 0x04, 0x75, 0x73, 0x65, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x75, 0x73,
	0x65, 0x64, 0x1a, 0x95, 0x01, 0x0a, 0x03, 0x4d, 0x73, 0x67, 0x12, 0x1b, 0x0a, 0x09, 0x73, 0x65,
	0x6e, 0x74, 0x5f, 0x66, 0x72, 0x6f, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x73,
	0x65, 0x6e, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x12, 0x17, 0x0a, 0x07, 0x73, 0x65, 0x6e, 0x74, 0x5f,
	0x74, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x06, 0x73, 0x65, 0x6e, 0x74, 0x54, 0x6f,
	0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x12, 0x22, 0x0a, 0x0c, 0x70, 0x65,
	0x72, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x76, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x0c, 0x70, 0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x76, 0x65, 0x12, 0x1a,
	0x0a, 0x08, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x18, 0x05, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x08, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x42, 0x12, 0x5a, 0x10, 0x2e, 0x2f,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_mr_agent_proto_rawDescOnce sync.Once
	file_mr_agent_proto_rawDescData = file_mr_agent_proto_rawDesc
)

func file_mr_agent_proto_rawDescGZIP() []byte {
	file_mr_agent_proto_rawDescOnce.Do(func() {
		file_mr_agent_proto_rawDescData = protoimpl.X.CompressGZIP(file_mr_agent_proto_rawDescData)
	})
	return file_mr_agent_proto_rawDescData
}

var file_mr_agent_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_mr_agent_proto_goTypes = []interface{}{
	(*MRResult)(nil),     // 0: MRResult
	(*MRResult_Msg)(nil), // 1: MRResult.Msg
}
var file_mr_agent_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_mr_agent_proto_init() }
func file_mr_agent_proto_init() {
	if File_mr_agent_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_mr_agent_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MRResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_mr_agent_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MRResult_Msg); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_mr_agent_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_mr_agent_proto_goTypes,
		DependencyIndexes: file_mr_agent_proto_depIdxs,
		MessageInfos:      file_mr_agent_proto_msgTypes,
	}.Build()
	File_mr_agent_proto = out.File
	file_mr_agent_proto_rawDesc = nil
	file_mr_agent_proto_goTypes = nil
	file_mr_agent_proto_depIdxs = nil
}
